GET /data/projects/{project_id}/episodes/casting

Retrieve the casting information for all episodes in a specific project.

Path parameters

  • project_id Required

    Unique identifier of the project

Responses

  • 200 application/json

    Episodes casting information successfully retrieved

    Hide response attributes Show response attributes object
    • episode_id string(uuid)

      Episode unique identifier

    • episode_name string

      Episode name

    • casting array[object]
      Hide casting attributes Show casting attributes object
      • asset_id string(uuid)

        Asset identifier

      • asset_name string

        Asset name

GET /data/projects/{project_id}/episodes/casting
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/casting" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/casting"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/casting' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "episode_id": "d57d9hd7-fh08-7998-d403-80786315f58",
    "episode_name": "Episode 01",
    "casting": [
      {
        "asset_id": "c46c8gc6-eg97-6887-c292-79675204e47",
        "asset_name": "Main Character"
      }
    ]
  }
]